#include <stdio.h>
#include <math.h>
int min(int a, int b){
if(a<=b)
return a;
else
return b;
}
int main()
{
int n,q;
scanf("%i%i" ,&n ,&q);
int i,a[n],b[q],v,m,p;
for(i=1;i<=n;i++)
scanf("%i" ,&a[i]);
for(i=1;i<=n;i++){
for(int j=i;j<=n;j++)
if(a[j]<a[i]){
p=a[i];
a[i]=a[j];
a[j]=p;
}
}
for(i=1;i<=q;i++)
scanf("%i" ,&b[i]);
for(i=1;i<=q;i++){
p=0;
v=0;
m=0;
for(int j=1;j<=n;j++){
if(b[i]<a[j])
v++;
else if(b[i]>a[j])
m++;
if(b[i]==a[j] && b[i]>a[n/2])
p=1;
}
if(m==v)
printf("0\n");
else
printf("%i\n" ,abs(m-v)-p);
}
    return 0;
}